Tag: osx

Ошибка сегментации и сбой при попытке импортировать opencv

У меня есть mac os x 10.9. Я загрузил opencv–python с помощью homebrew, и у меня есть оба варианта python 2.7 и python 3.4 с основного сайта python, загруженного обычным способом с помощью mac. Мне нужно использовать opencv, но у них нет пакета для загрузки для mac, поэтому я использовал homebrew: brew tap homebrew/science brew […]

Выделение конечных пробелов в Textmate для Python?

Я хотел бы сделать что-то вроде этого подсказки Textmate, так что конечные пробелы всегда выделяются каким-то образом, когда я что-то кодирую в Python – это облегчает его исправление немедленно, и другие редакторы, такие как Emacs, могут это сделать. К сожалению, дискуссия после этой публикации, похоже, предполагает, что это трудно сделать. Для меня invalid.trailing-whitespace даже не […]

Обновление Mountain Lion и библиотек python

Я обновил mac до Mountain Lion (10.8), и теперь проект, который я разработал с Python и Google App Engine, не работает. Библиотеки GAE найдены, в то время как стандартные библиотеки Python (являются ли эти библиотеки Python?) Пропущены (например, cgi , logging , json ). Когда я открываю eclipse (у которого есть PyDeV), я получаю это […]

Python OS X 10.5 среда разработки

Я хотел бы попробовать среду Python для Google App Engine, которая, по словам разработчиков, работает 2.5.2. Поскольку я использую OS X Leopard, у меня установлен Python 2.5.1, но вам нужна последняя версия 2.5.x (не 2.6 или 3.0). Кажется, последняя версия 2.5.4 Итак, я пошел сюда: http://wiki.python.org/moin/MacPython/Leopard и остановился, потому что я беспокоюсь, что установка последней […]

может быть установлен OpenCV в виртуальной среде python на Mac Mountain Lion

Я установил Numpy и Scipy с virtualenv на моем mac. Сегодня я хочу установить Opencv под virtualenv. Я попробую: pip install pyopencv терминал вернулся: Не удалось найти версию, удовлетворяющую требованию pyopencv (из версий: 2.0.wr1.0.1-demo, 2.0.wr1.0.1, 2.0.wr1.1.0, 2.1.0.wr1.0.0, 2.1.0.wr1.0.1, 2.1.0.wr1.0.2, 2.1.0.wr1.1.0, 2.1.0.wr1.2.0, 2.1.0.wr1.2.0-demo, 2.1.0.wr1.2.0) Очистка … Совпадений нет версия для pyopencv

Как создать пакет приложений для Mac для скрипта Python через Python

Я хочу создать простой пакет приложений для Mac, который вызывает простой скрипт Python. Я хочу сделать это в Python. Есть ли простой способ? Я попытался использовать py2app, но это как-то не работает, например: from setuptools import setup setup(app=["foo.py"], setup_requires=["py2app"]) дает: ————————————————————————— SystemExit Traceback (most recent call last) /Users/az/<ipython console> in <module>() /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/core.pyc in setup(**attrs) 138 […]

Почему не обновляет пипс моего numpy и scipy?

Моя проблема в том, что pip не обновит мои пакеты Python, хотя ошибок нет. Он похож на этот , но я все еще теперь уверен, что делать. В принципе, ВСЕ мои пакеты для python выглядят смехотворно устаревшими, даже после обновления всего через pip. Вот подробности: Я использую pip, версия 1.5.6. Я использую Python, версия 2.7.5 […]

Как указать значок py2app?

Как указать файл значка при использовании py2app? Только сейчас я создаю файл установки: py2applet –make-setup MyApplication.py а затем постройте пакет приложений: python setup.py py2app -A где я указываю файл значка .. немного запутался. Спасибо за любую помощь. в соответствии с этой ссылкой http://packages.python.org/py2app/options.html , я должен добавить его в качестве опции. В настоящее время мой […]

Python получает содержимое буфера обмена Mac

Как я могу, используя Python (2.7), получить содержимое буфера обмена Mac. Есть ли лучший способ, чем сделать обертку вокруг pbpaste? Благодаря!

Как сделать Python 3.5 моей версией по умолчанию на MacOS?

Я только что установил Python 3.5.1 на своем Mac (работает последняя версия OSX). Моя система поставляется с установленным Python 2.7. Когда я IDLE в приглашении терминала, моя система подтягивает оригинальный Python 2.7, а не только установленный Python 3.5. Как заставить мою систему по умолчанию использовать Python 3.5.1, когда я открываю окно IDLE из терминала?

Python - лучший язык программирования в мире.